%define module babel
%define pypi_name Babel

Name:           python-%{module}
Version:        2.9.1
Release:        %mkrel 1
Summary:        Tools for internationalizing Python applications
License:        BSD
Group:          Development/Python
URL:            http://babel.pocoo.org/
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:	python-devel
BuildRequires:	python-pytz
BuildRequires:	python-setuptools
Requires:       python-pytz
Requires:       python-setuptools

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python3-%{module}
Summary:        Tools for internationalizing Python applications
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-pytz
BuildRequires:  python3-setuptools
Requires:       python3-pytz
Requires:       python3-setuptools

%description -n python3-%{module}
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.


%prep
%setup -qn %{pypi_name}-%{version}
cp -r . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/pybabel %{buildroot}%{_bindir}/pybabel3
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc AUTHORS CHANGES LICENSE README.rst docs/cmdline.rst
%{_bindir}/pybabel
%{python_sitelib}/*

%files -n python3-%{module}
%doc AUTHORS CHANGES LICENSE README.rst docs/cmdline.rst
%{_bindir}/pybabel3
%{python3_sitelib}/*

%changelog
* Sat Apr 02 2022 TerryN <terryn94 at gmail.com> 2.9.1-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 2.5.3-1pclos2018
- update

* Fri Jun 05 2015 gseaman <galen.seaman at comcast.net> 1.3-1gseaman2015
- first build
